<?
session_start();
$brcode = $_SESSION['brcode'];
$user = $_SESSION['user'];
$cd = $_REQUEST['cd'];
$df = $_REQUEST['df'];
$dt = $_REQUEST['dt'];
if(strlen($brcode)<=0)
{
  print "<script> alert('Invalid User'); document.location='ind.php' </script>";
  return;
}

include("test.php");
include ("opendb.php");
/*$sql="select * from actrans where brcode='$brcode' and(dr='$cd' or cr='$cd')  order by dt desc";
$result=mysqli_query($db,$sql) or die (mysqli_error());
$re=mysqli_query($db,"select * from ledger where led='$cd' and brcode='$brcode'");
$opb=mysqli_fetch_array($re);*/
$re=mysqli_query($db,"select * from branch where brcode='$brcode'");
$brow=mysqli_fetch_array($re);
?>
<body>
<style>
 body,td{font-family:'arial narrow';font-size:14;color:black;background-color:white}
 th{font-family:'arial narrow';font-size:14;color:white;background-color:#5b5858}
// body{background-color:ivory}
</style>
<center>
    <table border='0' class='printable' width='100%'>
	  
	   <tr><td colspan=6 align=center style="font-size: 22px;"<b>PSN AUTOMOBILES PVT LTD</td></tr>
 	   <tr><td colspan=6 align=center><b>GST NO : <?echo $brow['gst']?></td></tr>
	   <tr><td colspan=6 align=center><b><?echo $brow['braddr']?></td></tr>
	   <tr><td colspan=6 align=center><b><?echo $brow['brcity']?></td></tr>
	   <tr><td colspan=6 align=center><b><?echo $brow['brphone']?></td></tr>
	   </table>
<font face='arial narrow' size=3><?print $branch?><br>Transaction Details of <b><? print $cd?> </font>
<?

print " </b><center>Transactions from ".substr($df,8,2)."-".substr($df,5,2)."-".substr($df,0,4).' to '.substr($dt,8,2)."-".substr($dt,5,2)."-".substr($dt,0,4)." <br>&nbsp </center>";
?>
<table  cellspacing=1 cellpadding=3 border = 1>
<th width=80>Date <th>Vouch/Rec. No. <th>Debit <th>Credit <th>Balance<th>Ref. 
<?
if(strtolower($user)!='psncare')print "<th>Jv No.";?>
<?
$tr=0;$tp=0;
$ssq="select sum(dramt)-sum(cramt) from journal2 where brcode='$brcode' and date<'$df' and (partic='$cd')";

$res2=mysqli_query($db,$ssq)or die('jour err:'.mysqli_error());
$r2=mysqli_fetch_row($res2);
$re=mysqli_query($db,"select * from ledger where led='$cd' and brcode='$brcode'");
$opb=mysqli_fetch_array($re);
//print 'Type :'.$opb['drcr'];
if(strtoupper($user)=='PSNCARE')
{
    $mop_bal=0;
}
else
{
if($opb['drcr']=='Cr' and $r2[0]<0)
{
	$openbal=$opb['op']+abs($r2[0]);
	print "<tr><td></td><td> Opening Balance</td><td></td><td align=right>".putComa($openbal)."</td><td colspan=2></td>";
	$tp+=$openbal;
}
else if($opb['drcr']=='Cr' and $r2[0]>=0)
{
	$openbal=$opb['op']-$r2[0];
	if($openbal>0)
	{
		print "<tr><td></td><td> Opening Balance</td><td></td><td align=right>".putComa($openbal)."</td><td colspan=2></td>";
		$tp+=$openbal;
	}
	else
	{
		print "<tr><td></td><td> Opening Balance</td><td align=right>".putComa(abs($openbal))."</td><td colspan=2></td>";
	$tr+=$openbal;
	}
}


if($opb['drcr']=='Dr' and $r2[0]>=0)
{
	if($opb['op']>=0)
		$openbal= $opb['op'] +abs($r2[0]);
	else
		$openbal= $opb['op']+$r2[0];
	if($openbal>0)
	{
		print "<tr><td></td><td> Opening Balance</td><td align=right>".putComa($openbal)."</td><td colspan=3></td>";
		$tr+=$openbal;
	}
	else
	{
		print "<tr><td></td><td> Opening Balance</td><td>&nbsp;</td><td align=right>".putComa(abs($openbal))."</td><td colspan=3></td>";
		$tp+=abs($openbal);
	}
}
if($opb['drcr']=='Dr' and $r2[0]<0)
{
	if($opb['op']>=0)
		$openbal= $opb['op']+ $r2[0];
	else
		$openbal= $opb['op']+$r2[0];
	print $opb['op'].'-'.$r2[0];
	if($openbal>=0)
    	{
    		print "<tr><td></td><td> Opening Balance</td><td align=right>".putComa($openbal)."</td><td colspan=3></td>";
     		$tr+=$openbal;
     	}
 	else
    	{
    		print "<tr><td></td><td> Opening Balance</td><td></td><td align=right>".putComa(abs($openbal))."</td><td colspan=3></td>";
     		$tp+=$openbal;
     	}

}
}
$mop_bal = abs($tr)- abs($tp);
$sql="select * from journal2 where brcode='$brcode' and partic='$cd' and date>='$df' and date<='$dt'order by date,jvno ";
$result=mysqli_query($db,$sql) or die (mysqli_error());
//$mop_bal = $openbal;
while($row=mysqli_fetch_array($result))
{
   if($row['type']=='Cr') //$row[cr]==$cd)
    {
	
    $mflg=1;
    if(strtoupper($user)=='PSNCARE')
    {
        $sql21="select jvno from journal2_eicher where brcode='$brcode' and partic='$cd' and jvno ='$row[jvno]' and dramt = '$row[dramt]' and cramt = '$row[cramt]'";
        $result21=mysqli_query($db,$sql21) or die (mysqli_error());
        $row_eicher=mysqli_fetch_row($result21);
        if(strlen($row_eicher[0])<=0)
            $mflg=0;
    }
    if($mflg==1)
    {
        $mop_bal = $mop_bal -  $row['cramt'];
	    if($mop_bal<0)
    		$mstr = number_format(abs($mop_bal), 2, '.', ',');
	    else
    		$mstr = number_format($mop_bal, 2, '.', ',');
        if($mop_bal<0)$msufix="Cr"; else $msufix="Dr";	
        
 	    print "\n<tr bgcolor='#fffcd6' onMouseOver=bgColor='#f7dbd4'; onMouseOut=bgColor='#fffcd6'><td>".implode('-', array_reverse(explode('-',$row['date'])))."</td><td> &nbsp;&nbsp; <a href='multientry/viewtrans.php?code=$row[jvno]' title='Ref:$row[no]'> By $row[narr]-($row[j_type])</a></td><td align=right></td><td align=right>".putComa($row['cramt'])."</td><td align=right>".$mstr."$msufix</td> <td>$row[against]:$row[no]</td>";
 	    if(strtolower($user)!='psncare')
 	        print "<td>$row[jvno]</td>";
	    //<td align=center><input type=button value='Del' onClick=document.location='deldat.php?code=$row[0]'></td>
	    print "</tr>";
	    $totcramt+=$row['cramt'];
    }
  }
  else //if($row[dr]==$cd)
  {

		
	$mflg=1;
    if(strtoupper($user)=='PSNCARE')
    {
        $sql21="select jvno from journal2_eicher where brcode='$brcode' and partic='$cd' and jvno ='$row[jvno]' and dramt = '$row[dramt]' and cramt = '$row[cramt]'";
        $result21=mysqli_query($db,$sql21) or die (mysqli_error());
        $row_eicher=mysqli_fetch_row($result21);
        if(strlen($row_eicher[0])<=0)
            $mflg=0;
    }
    if($mflg==1)
    {
        $mop_bal = $mop_bal +  $row['dramt'];
	    if($mop_bal<0)
    		$mstr = number_format(abs($mop_bal), 2, '.', ',');
    	else
		    $mstr = number_format($mop_bal, 2, '.', ',');
	    $mstr1 = "";
	    if($row['j_type']=="V sale")
	    {
	        $rech=mysqli_query($db,"select chasis from veh_invoice where invno ='$row[tr_no]'");
            $chbrow=mysqli_fetch_array($rech);
            $mstr1 = "Chasis No. ".$chbrow[0];
	    }
	    if($mop_bal<0)$msufix="Cr"; else $msufix="Dr";	
 	    print "\n<tr bgcolor='#fffcd6' onMouseOver=bgColor='#f7dbd4'; onMouseOut=bgColor='#fffcd6'><td>".implode('-', array_reverse(explode('-',$row['date'])))."</td><td> <a href='multientry/viewtrans.php?code=$row[jvno]' title='Ref:$row[against] $row[no]'>To $row[narr]-($row[j_type])$mstr1</a></td><td align=right>".putComa($row['dramt'])."</td><td align=right></td><td align=right>".$mstr."$msufix</td> <td>$row[against]:$row[no]</td>";
 	    if(strtolower($user)!='psncare')
 	        print "<td>$row[jvno]</td>";
	    //<td align=center><input type=button value='Del' onClick=document.location='deldat.php?code=$row[0]'></td>
	    print "</tr>";
	    $totdramt+=$row['dramt'];
    }
  }
}
print "<tr style={background-color:silver}><td colspan=2 align=center><font color=black><B>Total</td>"; 

 $totdramt+=abs($tr);

 $totcramt+=abs($tp);

print "<td align=right><font color=black>".putComa($totdramt)."</td>";
print "<td align=right><font color=black>".putComa(abs($totcramt))."</td><td colspan=3></td></tr>";

/*if($totdramt>=0)
$bal=($totdramt-$totcramt);
else
{$bal=($totdramt+$totcramt); $bal*=-1;}
*/
if(abs($totdramt)>abs($totcramt))
{
$bal=(abs($totdramt)-abs($totcramt));
print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td align=right><font color=black><b>".round(abs($bal),2)."</td><td><font color=black><b> Debit </td><td colspan=2></td></tr>";
}
else if(abs($totdramt)<abs($totcramt))
{$bal=(abs($totcramt)-abs($totdramt)); 

print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td></td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td colspan=3><font color=black> <b>Credit </td> </tr>";
}


//*******************************************************
// if(strtoupper($opb['drcr'])=="DR" && $opb['op']<0)
// 	$bal*=-1;
  $bal=number_format($bal,2,'','');
//********************************************************
if($bal>0)
{
//print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black><b> Debit </td><td colspan=2></td></tr>";
}
else
//print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td></td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black> <b>Credit </td> </tr>";


//**************************************************************8888888888888888888888888
?>
</table><br>
<?
//} // end main if
?>
